Upgrade to Contextual Security: Role Management Enhancements

Contextual Security: Role Management Enhancements is automatically installed on new instances starting with the Geneva release. You can upgrade from the legacy Contextual Security plugin to Contextual Security: Role Management Enhancements.

Before you begin

Role required: admin

About this task

The contextual security plugins are active on new instances.
Table 1. Plugins for Contextual Security: Role Management Enhancements
Plugin Description
Contextual Security: Role Management Enhancements

[com.glide.role_management.inh_count]

Prevents duplicate entries in the User Roles [sys_user_has_role] table.
Contextual Security: Role Management Enhancements REST API

[com.glide.role_management.inh_count.rest_api]

Enables API functionality for role management. If not already active, this plugin activates Contextual Security: Role Management Enhancements.

Procedure

  1. Navigate to System Definition > Plugins.
  2. Find and click the plugin name.
  3. On the System Plugin form, review the plugin details and then click the Activate/Upgrade related link.
  4. Click Activate.